[Overview][Classes][Procedures and functions][Index] | Reference for unit 'JSONPropStorage' (#lcl)

# TCustomJSONPropStorage.JSONConf

TJSONConfig instance used to store path/value pairs.

## Declaration

Source position: jsonpropstorage.pas line 35

`protected property TCustomJSONPropStorage.JSONConf : TJSONConfig read FJSONConf;`

## Description

JSONConf is a read-only TJSONConfig property which provides access to the JSON storage mechanism used in the class instance.

Remark: | JSONConf does not have any of the formatting options assigned in the property. You must assign values to the FormatOptions property in JSONConf to enable the feature when Formatted is set to True. You can use the predefined constant values like AsCompressedJSON or AsCompactJSON.